Skip to content
Permalink
Browse files

fix wwhrd licence detection (#2497)

new wwhrd version broke some of the detections
- BSD licence are split to BSD-3-Clause and BSD-2-Clause
- MPL-2.0 is now MPL-2.0-no-copyleft-exception
- some of the previosly detected packages are no detected
  • Loading branch information
kadel authored and openshift-merge-robot committed Jan 6, 2020
1 parent 377df74 commit 41372dbf332f25bda5b663b638922bdaf3bf1f49
Showing with 13 additions and 0 deletions.
  1. +13 −0 .wwhrd.yml
@@ -10,6 +10,9 @@ whitelist:
- FreeBSD
- ISC
- MPL-2.0
- BSD-3-Clause
- BSD-2-Clause
- MPL-2.0-no-copyleft-exception

exceptions:
# wwhrd currently does not detect ISC which is compatible with Odo so, add it under exceptions to avoid errors due to it being not recognised
@@ -23,3 +26,13 @@ exceptions:
# go-digest contains common digest package used across the container ecosystem
# This is OpenShift dependency, ODO do not use this directly
- github.com/opencontainers/go-digest
# MIT licence - wwhrd is not detecting it correctly
- github.com/ghodss/yaml
# Apache License 2.0 - wwhrd is not detecting it correctly
- github.com/prometheus/common/...
# Apache License 2.0 - wwhrd is not detecting it correctly
- github.com/docker/spdystream/...
# BSD licence - wwhrd is not detecting it correctly
- github.com/gogo/protobuf/...
# BSD licence - wwhrd is not detecting it correctly
- github.com/golang/protobuf/...

0 comments on commit 41372db

Please sign in to comment.
You can’t perform that action at this time.